{ stdenv, fetchFromGitHub, python37Packages, wrapQtAppsHook }:

python37Packages.buildPythonApplication rec {
  pname = "nagstamon";
  version = "3.5.0-beta";

  src = fetchFromGitHub {
    owner  = "HenriWahl";
    repo = "Nagstamon";
    rev = "52a1d6a91e8324f950d4a43e748344d26dc599c7";
    sha256 = "01z39pn53zmlx57zpxmc9qym618bz49n102vwz3kaj40ky1gqja2";
  };

  # Test assumes darwin
  doCheck = false;

  nativeBuildInputs = [ wrapQtAppsHook ];
  dontWrapQtApps = true;
  postFixup = ''
    wrapQtApp $out/bin/nagstamon.py
  '';

  propagatedBuildInputs = with python37Packages; [
    beautifulsoup4
    configparser
    dateutil
    kerberos
    keyring
    lxml
    psutil
    pyqt5_with_qtmultimedia
    requests
    requests-kerberos
    xlib
  ];

  meta = with stdenv.lib; {
    description = "A status monitor for the desktop";
    homepage = "https://nagstamon.ifw-dresden.de/";
    license = licenses.gpl2;
    maintainers = with maintainers; [ pSub ];
    inherit version;
  };
}

